#!/bin/bash
i=0;


iStartFrame=100;
iEndFrame=110;

iStartHeight=220;
iTotalHeight=480;
iCenterX=360;
#iEndX is end point on X axis at last pos.
iEndX=100;

iTotalSteps=$(( $iEndFrame - $iStartFrame - 1 ));
iDeltaHeight=$(( $iTotalHeight - $iStartHeight ));
iDeltaX=$(( $iEndX - $iCenterX ));


for (( t=$iStartFrame; t<$iEndFrame; t++ )) {
    echo $t::pos.y=$(( $iStartHeight + $i * $iDeltaHeight / $iTotalSteps ))
    echo $t::pos.x=$(( $iCenterX + $i * $iDeltaX / $iTotalSteps ))
    i=$(( $i + 1 ))
}


